package ru.yandex.wmconsole.viewer.api.servantlet.history;

import ru.yandex.wmconsole.authorization.ApiOAuthPermission;
import ru.yandex.wmconsole.viewer.api.SiteHistoryType;

/**
 * @author aherman
 */
public class ApiGetIncomingLinksCountHistoryServantlet extends AbstractApiGetHistoryServantlet {
    @Override
    protected SiteHistoryType getHistoryType() {
        return SiteHistoryType.INCOMING_LINKS_COUNT;
    }

    @Override
    public ApiOAuthPermission getRequiredPermission() {
        return ApiOAuthPermission.COMMON_OPERATIONS;
    }
}
